# m3e/list_action

ListAction is an item in a list that performs an action.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        disabled: Disabled,
        download: option.Option(String),
        href: String,
        rel: String,
        target: option.Option(link_target.LinkTarget),
      )
    }

### Constructors

-     Config(
        disabled: Disabled,
        download: option.Option(String),
        href: String,
        rel: String,
        target: option.Option(link_target.LinkTarget),
      )

## Disabled

</>

Disabled is whether the element is disabled.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## ListAction

opaque </>

ListAction is a View Model for this component

## Fields:

- disabled: Whether the element is disabled.
- download: A value indicating whether the `target` of the link button will be downloaded, optionally specifying the new name of the file.
- href: The URL to which the link button points.
- rel: The relationship between the `target` of the link button and the document.
- target: The target of the link button.

    pub opaque type ListAction

## Slot

</>

Slots are used in child elements to insert content into this component

    pub type Slot {
      Leading
      Overline
      SupportingText
      Trailing
    }

### Constructors

-     Leading

-     Overline

-     SupportingText

-     Trailing

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## default_download

</>

    pub const default_download: option.Option(String)

## default_href

</>

    pub const default_href: String

## default_rel

</>

    pub const default_rel: String

## default_target

</>

    pub const default_target: option.Option(link_target.LinkTarget)

## disabled

</>

    pub fn disabled(
      record: ListAction,
      disabled: Disabled,
    ) -> ListAction

disabled sets the value of disabled for this ListAction.

## download

</>

    pub fn download(
      record: ListAction,
      download: option.Option(String),
    ) -> ListAction

download sets the value of download for this ListAction.

## from_config

</>

    pub fn from_config(config: Config) -> ListAction

from_config creates a new ListAction from the given configuration.

## href

</>

    pub fn href(record: ListAction, href: String) -> ListAction

href sets the value of href for this ListAction.

## new

</>

    pub fn new() -> ListAction

new creates a new ListAction with the default configuration.

## rel

</>

    pub fn rel(record: ListAction, rel: String) -> ListAction

rel sets the value of rel for this ListAction.

## render

</>

    pub fn render(
      model: ListAction,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a ListAction

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a ListAction Config

## slot

</>

    pub fn slot(s: Slot) -> attribute.Attribute(msg)

slot returns a Lustre Attribute(msg) for the given slot name

## target

</>

    pub fn target(
      record: ListAction,
      target: option.Option(link_target.LinkTarget),
    ) -> ListAction

target sets the value of target for this ListAction.

✨